=== debian/changelog ===
libxenstore-ocaml (1.2.4-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

libxenstore-ocaml (1.2.4-1) UNRELEASED; urgency=low

  * Update to 1.2.4 (fixes critical watching bug)

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 11 Sep 2013 12:00:00 +0000
